aboutsummaryrefslogtreecommitdiffstats
path: root/update_version.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update_version.sh')
-rwxr-xr-xupdate_version.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/update_version.sh b/update_version.sh
new file mode 100755
index 0000000..3d5fe42
--- /dev/null
+++ b/update_version.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+git describe --abbrev=8 --dirty | sed 's/v\([^-]*\)-\([^-]*\)-\(.*\)/\1.dev\2.\3/' > version
+cat version
+echo "# osmo-gsm-tester version.
+# Automatically generated by update_version.sh.
+# Gets imported by __init__.py.
+
+_version = '$(cat version)'" \
+ > src/osmo_gsm_tester/_version.py